# List purchaseorders

Returns a paginated list of Purchaseorders for the specified site. Supports filtering and sorting.

Endpoint: GET /site/{siteId}/ahds/v1/purchaseorder
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `siteId` (number, required)
    Site identifier

## Query parameters:

  - `page` (number)
    Page number (0-indexed)

  - `pageSize` (number)
    Number of items per page

  - `sortBy` (string)
    Field to sort by

  - `sortOrder` (string)
    Sort order

  - `clientId` (string)
    Client associated with this purchase order, if applicable.

  - `comments` (string)
    Free-text comments on the purchase order.

  - `isActive` (boolean)
    Whether the purchase order is active.

  - `ownershipId` (string)
    Ownership or business unit identifier associated with this purchase order.

  - `shippingAddressId` (string)
    Reference to the shipping address resource.

  - `status` (string)
    Status of the purchase order.

  - `supplierAccountNumber` (string)
    Account number with the supplier.

  - `supplierId` (string)
    Supplier from whom the order is placed.

  - `supplierOrderNumber` (string)
    Supplier-provided order number.

## Response 200:

  - `200` (unknown)
    Paginated list of Purchaseorders

## Response 401:

  - `401` (unknown)
    Unauthorized

